Index: chan_sip.c
===================================================================
--- chan_sip.c	(revision 50673)
+++ chan_sip.c	(working copy)
@@ -3091,10 +3091,6 @@
 
 	if (option_debug > 2)
 		ast_log(LOG_DEBUG, "Updating call counter for %s call\n", outgoing ? "outgoing" : "incoming");
-	/* Test if we need to check call limits, in order to avoid 
-	   realtime lookups if we do not need it */
-	if (!ast_test_flag(&fup->flags[0], SIP_CALL_LIMIT))
-		return 0;
 
 	ast_copy_string(name, fup->username, sizeof(name));
 
@@ -15335,7 +15355,7 @@
 				/* check call limit */
 				if (p->call_limit && (p->inUse == p->call_limit))
 					res = AST_DEVICE_BUSY;
-				else if (p->call_limit && p->inUse)
+				else if (p->inUse)
 					res = AST_DEVICE_INUSE;
 				else
 					res = AST_DEVICE_NOT_INUSE;
